// SVIctlDlg.h : wb_[ t@C
//
#include "SviUsbControl.h"
#include "MsgDialog.h"
#include <afxmt.h>
#include <vector>

using namespace std;

#if !defined(AFX_SVICTLDLG_H__D38F6FBD_CC9E_4A99_B432_A50F6213B516__INCLUDED_)
#define AFX_SVICTLDLG_H__D38F6FBD_CC9E_4A99_B432_A50F6213B516__INCLUDED_

#include "IniFileControl.h"

// t@CtB^
#define STR_FILE_DATFILTER		"Record File (*.dat)|*.dat|"			// Datt@CtB^
#define STR_FILE_BMPFILTER		"Bitmap File (*.bmp)|*.bmp|"			// Bmpt@CtB^
#define STR_FILE_FWFILTER		"Update File (fw*.bin)|fw*.bin|"		// firmwaret@CtB^
#define STR_FILE_FPGAFILTER		"Update File (fpga*.bin)|fpga*.bin|"	// fpgat@CtB^
#define STR_FILE_DATBMPFILTER	"Record File (*.dat)|*.dat|Bitmap File (*.bmp)|*.bmp|"	// Dat or Bmpt@CtB^
#define STR_FILE_INIFILTER		"Text and Initialize File (*.txt,*.ini)|*.txt;*.ini|CSV File (*.csv)|*.csv|ALL File (*.*)|*.*|"
																		// Datt@CtB^ 2006/1/16 txt gqǉ
//	^C}[
#define READTIMER			100		// ^C}[ID
#define	TIMER_SPEED			1000	// ^C}[x

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#define INI_KEY_SLAVE_ADDRESS "SlaveAddress"
#define DEFAULT_SLAVE_ADDRESS ""

#define INI_KEY_SUB_ADDRESS "SubAddress"
#define DEFAULT_SUB_ADDRESS ""

#define INI_KEY_VALUE "Value"
#define DEFAULT_VALUE ""

#define INI_KEY_READ_COUNTS "ReadCounts"
#define DEFAULT_READ_COUNTS ""

#define INI_KEY_REALTIME "RealTime"
#define DEFAULT_REALTIME 0

#define INI_KEY_WORD_ADDRESS "WordAddress"
#define DEFAULT_WORD_ADDRESS 0

#if 1 // 2012.07.24 V3.2.2.0
#define INI_KEY_RESTART_ENABLE "RestartConditionEnable"
#define DEFAULT_RESTART_ENABLE 0
#endif // 2012.07.24 V3.2.2.0

/////////////////////////////////////////////////////////////////////////////
// CSVIctlDlg _CAO

#include "IniFileControl.h"	// ClassView ɂĒǉ܂B
class CSVIctlDlg : public CDialog
{
// \z
public:
	bool SetSelBoardNo();
	CSVIctlDlg(CWnd* pParent = NULL);	// W̃RXgN^
	CString strRecDataFileName;

// _CAO f[^
	//{{AFX_DATA(CSVIctlDlg)
	enum { IDD = IDD_SVICTL_DIALOG };
	//}}AFX_DATA

	// ClassWizard ͉z֐̃I[o[Ch𐶐܂B
	//{{AFX_VIRTUAL(CSVIctlDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV ̃T|[g
	//}}AFX_VIRTUAL

// Cve[V
protected:
	HICON m_hIcon;

	// SVIRg[
	CSviUsbControl m_SviUsbControl;

	// i[pobt@
	vector<UCHAR> RcvBuff;

	// bZ[W\p_CAO
	CMsgDialog MsgDialog;

	// CSV`̃p[X
	bool ParseCsv(CString strData,vector<UCHAR> &work);

	// CSV`̃p[X 2006.1.13 update
	bool ParseCsv(CString strData,vector<USHORT> &work, BOOL bWord);

	// p`FbN
	bool Checkalnum(LPCTSTR strText,bool cammaflg = false);

	//Xbh֐
	CWinThread *pReadFileThread;
	static UINT CSVIctlDlg::ReadFile(LPVOID pMain);


	//init@CŎgp
	CString AppName;//AvP[V
	CString IniFileName;//init@C



	// ꂽbZ[W }bv֐
	//{{AFX_MSG(CSVIctlDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnWrite();
	afx_msg void OnRead();
	afx_msg void OnOK();
	afx_msg void OnInit();
	afx_msg void OnRealtime();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnClose();
	afx_msg void OnScan();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ ͑Os̒Oɒǉ̐錾}܂B

#endif // !defined(AFX_SVICTLDLG_H__D38F6FBD_CC9E_4A99_B432_A50F6213B516__INCLUDED_)
